Skip to content

InquireApplyRequest

  • Endpoint: POST /aggregate-pay/api/gateway/InquireApplyRequest
  • Tags: Collection Service/Payment Tokenization

Parameters

FieldInTypeRequiredConstraintsDescription
signheaderstringYes
Content-TypeheaderstringYes

Parameter Examples

  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="
  • Content-Type: "application/json"

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
dataobjectYes
data.userIdstringYesThe user ID by the merchant, needs to ensure the uniqueness of each user.After the payment method is saved, the payment method will be recommended according to the userId.
data.tokenScopestringYesconstant value:tokenAcq
data.requestIdstringYesMerchant request id, which uniquely identifies a transaction of the merchant, cannot be repeated
versionstringYesAPI version. Current value: 1.4
keyVersionstringYesSignature Algorithm Version, Current value: 1
requestTimestringYesRequest time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
appIdstringYesMerchant AppId,The unique identifier assigned to the merchant app by PayerMax
merchantNostringNomaxLength: 32Merchant Id, the unique identifier generated when the merchant signs the contract with PayerMax

Example

json
{
  "data": {
    "userId": "ZHANGSAN",
    "tokenScope": "tokenAcq",
    "requestId": "DirectApi1716803778191"
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
dataobjectYes
data.redirectUrlstringNoToken authentication url, when status is PENDING, the value is required
data.requestIdstringYesMerchant request id, which uniquely identifies a transaction of the merchant, cannot be repeated
data.statusstringYesapply request statusPENDING, SUCCESS, FAILED
data.paymentTokenIDstringNoPMMax token, when status is SUCCESS, the value is required
codestringYesReturn code, ‘APPLY_SUCCESS’ means success
msgstringYesReturn message, ‘Success.’

Response Example

json
{
  "data": {
    "redirectUrl": "https://cashier-n-test-new.payermax.com/index.html#/paySDKH5/newAuthResultSimulator?pmaxUrlMock=1&notifyType=CONTROL&referenceNo=TUC858400171807425915435000029&frontCallbackURL=http://baidu.com",
    "requestId": "DirectApi1718074257802",
    "status": "PENDING"
  }
}

Enum Reference

data.status

  • PENDING
  • SUCCESS
  • FAILED

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.